#ifndef __BITS_SIGNUM_H__
# define __BITS_SIGNUM_H__

// Define the number of signals
#define _NSIG		16

/* Fake signal functions. */
#define	SIG_ERR		((__sighandler_t) -1)	/* Error return. */
#define	SIG_DFL		((__sighandler_t)  0)	/* Default action. */
#define	SIG_IGN		((__sighandler_t)  1)	/* Ignore signal. */

/* ISO C99 signals. */
#define	SIGINT		2	/* Interactive attention signal. */
#define	SIGILL		4	/* Illegal instruction. */
#define	SIGABRT		6	/* Abnormal termination. */
#define	SIGFPE		8	/* Erroneous arithmetic operation. */
#define	SIGSEGV		11	/* Invalid access to storage. */
#define	SIGTERM		15	/* Termination request. */

#endif /*__BITS_SIGNUM_H__*/
