#include <signal.h>
#include <bits/signum.h>
#include "signal_p.h"

#ifndef __SUPPORT_VHEX_KERNEL

__sighandler_t __signal_handlers[_NSIG] = { 0 };

__sighandler_t signal(int signum, __sighandler_t handler)
{
	if(signum < 0 || signum >= _NSIG)
		return SIG_ERR;

	__sighandler_t prev = __signal_handlers[signum];
	__signal_handlers[signum] = handler;
	return prev;
}

#endif /*! __SUPPORT_VHEX_KERNEL*/
