#include <stdio.h>
#include <fxlibc/printf.h>

int fprintf(FILE * restrict fp, char const * restrict fmt, ...)
{
	struct __printf_output out = {
		.fp = fp,
		.size = 65536,
	};

	va_list args;
	va_start(args, fmt);

	int count = __printf(&out, fmt, &args);

	va_end(args);
	return count;
}
