#include <time.h>
#include <inttypes.h>

uint32_t rtc_ticks(void);

static clock_t clock_init;

static clock_t clock_abs(void)
{
	return (CLOCKS_PER_SEC * (uint64_t)rtc_ticks()) / 128;
}

__attribute__((constructor))
static void clock_initialize(void)
{
	clock_init = clock_abs();
}

clock_t clock(void)
{
	return clock_abs() - clock_init;
}
