# giteapc: version=1 depends=Lephenixnoir/sh-elf-gcc,Lephenixnoir/OpenLibm

-include giteapc-config.make

configure:
	@ cmake -B build-gint -DFXLIBC_TARGET=gint -DCMAKE_TOOLCHAIN_FILE=cmake/toolchain-sh.cmake

build:
	@ make -C build-gint

install:
	@ make -C build-gint install

uninstall:
	@ if [ -e build-gint/install_manifest.txt ]; then \
	     xargs rm -f < build-gint/install_manifest.txt; \
          fi

.PHONY: configure build install uninstall
